glab(1)

NAME
glab-ci-list - Get the list of CI/CD pipelines.

SYNOPSIS
glab ci list [flags]

DESCRIPTION
Get the list of CI/CD pipelines.

OPTIONS
-n, --name=""
    Return only pipelines with the given name.

-o, --orderBy="id"
    Order pipelines by this field. Options: id, status, ref, updated_at, user_id.

-F, --output="text"
    Format output. Options: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-r, --ref=""
    Return only pipelines for given ref.

--scope=""
    Return only pipelines with the given scope: {running|pending|finished|branches|tags}

--sha=""
    Return only pipelines with the given SHA.

--sort="desc"
    Sort pipelines. Options: asc, desc.

--source=""
    Return only pipelines triggered via the given source. See https://docs.gitlab.com/ee/ci/jobs/job_rules.html#ci_pipeline_source-predefined-variable for full list. Commonly used options: {merge_request_event|parent_pipeline|pipeline|push|trigger}

-s, --status=""
    Get pipeline with this status. Options: running, pending, success, failed, canceled, skipped, created, manual, waiting_for_resource, preparing, scheduled}

-a, --updated-after=""
    Return only pipelines updated after the specified date. Expected in ISO 8601 format (2019-03-15T08:00:00Z).

-b, --updated-before=""
    Return only pipelines updated before the specified date. Expected in ISO 8601 format (2019-03-15T08:00:00Z).

-u, --username=""
    Return only pipelines triggered by the given username.

-y, --yaml-errors[=false]
    Return only pipelines with invalid configurations.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab ci list
    glab ci list --status=failed

SEE ALSO
glab-ci(1)